Package com.avaya.clientservices.collaboration

## Enum CollaborationError

- java.lang.Object
- - java.lang.Enum<CollaborationError>
  - - com.avaya.clientservices.collaboration.CollaborationError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CollaborationError>`

      public enum CollaborationError
      extends java.lang.Enum<CollaborationError>

  Collaboration-related error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATION_FAILED` | Authentication failed.
    `CANCELED` | Operation was canceled by other user action.
    `CANNOT_EDIT_ERROR` | An edit operation is not possible on the target object.
    `COLLABORATION_ALREADY_CREATED` | Tried to create a collaboration for a call that already has one.
    `CONFIGURATION_ERROR` | Configuration error.
    `FAILED` | Unknown error.
    `HTTP_STATUS_CODE_ERROR` | Server sent HTTP status that is not 200 OK, status included in error message.
    `INSUFFICIENT_BANDWIDTH` | Insufficient bandwidth to support content sharing.
    `INTERNAL_ERROR` | An unexpected problem was encountered.
    `INVALID_CERTIFICATE` | Invalid certificate.
    `MEETING_NOT_FOUND` | Meeting not found.
    `NOT_CONNECTABLE` | Problem with connection.
    `NOT_SUPPORTED` | Functionality is not supported.
    `OPERATION_IN_PROGRESS` | Operation started when another operation was already in progress.
    `PERMISSION_DENIED` | User does not have necessary privileges.
    `PROTOCOL_ERROR` | Problem with parsing message sent from server or wrong message.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `SERVER_ERROR` | Server side error.
    `SUCCESS` | Operation was successful.
    `TARGET_NOT_FOUND` | Target not found.
    `TIMEOUT` | Timeout.
    `UNAVAILABLE` | Functionality is unavailable.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CollaborationError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CollaborationError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final CollaborationError SUCCESS

      Operation was successful.

    - #### OPERATION_IN_PROGRESS

          public static final CollaborationError OPERATION_IN_PROGRESS

      Operation started when another operation was already in progress.

    - #### CANNOT_EDIT_ERROR

          public static final CollaborationError CANNOT_EDIT_ERROR

      An edit operation is not possible on the target object.

    - #### INTERNAL_ERROR

          public static final CollaborationError INTERNAL_ERROR

      An unexpected problem was encountered.

    - #### HTTP_STATUS_CODE_ERROR

          public static final CollaborationError HTTP_STATUS_CODE_ERROR

      Server sent HTTP status that is not 200 OK, status included in error message.

    - #### PERMISSION_DENIED

          public static final CollaborationError PERMISSION_DENIED

      User does not have necessary privileges.

    - #### CANCELED

          public static final CollaborationError CANCELED

      Operation was canceled by other user action.

    - #### NOT_SUPPORTED

          public static final CollaborationError NOT_SUPPORTED

      Functionality is not supported.

    - #### TIMEOUT

          public static final CollaborationError TIMEOUT

      Timeout.

    - #### NOT_CONNECTABLE

          public static final CollaborationError NOT_CONNECTABLE

      Problem with connection.

    - #### PROTOCOL_ERROR

          public static final CollaborationError PROTOCOL_ERROR

      Problem with parsing message sent from server or wrong message.

    - #### AUTHENTICATION_FAILED

          public static final CollaborationError AUTHENTICATION_FAILED

      Authentication failed.

    - #### INVALID_CERTIFICATE

          public static final CollaborationError INVALID_CERTIFICATE

      Invalid certificate.

    - #### SERVER_ERROR

          public static final CollaborationError SERVER_ERROR

      Server side error.

    - #### MEETING_NOT_FOUND

          public static final CollaborationError MEETING_NOT_FOUND

      Meeting not found.

    - #### TARGET_NOT_FOUND

          public static final CollaborationError TARGET_NOT_FOUND

      Target not found.

    - #### UNAVAILABLE

          public static final CollaborationError UNAVAILABLE

      Functionality is unavailable.

    - #### COLLABORATION_ALREADY_CREATED

          public static final CollaborationError COLLABORATION_ALREADY_CREATED

      Tried to create a collaboration for a call that already has one.

    - #### CONFIGURATION_ERROR

          public static final CollaborationError CONFIGURATION_ERROR

      Configuration error.

    - #### INSUFFICIENT_BANDWIDTH

          public static final CollaborationError INSUFFICIENT_BANDWIDTH

      Insufficient bandwidth to support content sharing.

    - #### PROXY_CONNECTION_ERROR

          public static final CollaborationError PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final CollaborationError PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### FAILED

          public static final CollaborationError FAILED

      Unknown error.

  - ### Method Detail

    - #### values

          public static CollaborationError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollaborationError c : CollaborationError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollaborationError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null